package com.miaxis.common.core.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * Entity基类
 *
 * @author miaxis
 */
@ApiModel(value = "BaseQueryEntity", description = "查询列表基类")
@Data
public class BaseQueryEntity implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间"  ,hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" )
    @ApiModelProperty(value = "更新时间" ,hidden = true)
    private Date updateTime;
    /** 请求参数 */
    @ApiModelProperty(value = "请求参数",hidden = true)
    private Map<String, Object> params = new HashMap<String, Object>();



}
